Subject: RE: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: "Drew Adams" <[email-masked]>
Date: Mon, 20 Sep 2010 14:41:07 -0700

> > However, `mouse-drag-copy-region' also copies the region to the kill
> > ring.
> 
> Yes, this is because Emacs now copies to the clipboard only text that
> is copied to the kill ring.
> 
> Was this possible in Emacs 23?  If so, how?
> 
> When I double-click mouse-1 in Emacs 23 to select a word, I can then
> yank that word with C-y, and `(car kill-ring)' evaluates to that
> word.  So I'm quite sure mouse-drag-copy-region non-nil does the same
> as what you had in Emacs 23 and older.
>
> > The bug is still a bug, I'm afraid.
> 
> No, it's a different bug.  This one was filed against my promise that
> mouse-drag-copy-region will get you back the ability to get back the
> behavior of Emacs 23 on Windows when you select text by
> double-clicking mouse-1.  This now works exactly as it did in Emacs 23
> (AFAICS), so any further complaints about mouse selections should be
> in a separate bug.

No, it does not now work exactly as it did in Emacs 23.

Even setting `mouse-drag-copy-region' to nil in two sessions of `emacs -Q', one
for Emacs 22 and the other for Emacs 23 (for example), there is still no problem
selecting with the mouse and pasting into the other session. 

That is what this bug is about - it is not some other bug.

Here is the recipe, to be very clear:

1. emacs -Q ; in Emacs 22
2. M-x set-variable mouse-drag-copy-region nil RET
3. emacs -Q ; in Emacs 23
4. M-x set-variable mouse-drag-copy-region nil RET

5. Use mouse-1 and mouse-3 to select some text in one session and mouse-2 to
paste it into the other session.  Select + paste works with no problem in either
direction, and the kill ring is not affected.

Again:

> > What's needed is here is the ability to mouse-select in one 
> > Emacs session and paste to another Emacs session, even if
> > they are in different Emacs versions.
> > That needs to be possible (and it should also be the 
> > default behavior BTW) without users also needing to pollute
> > their kill ring with the selection.

Users need to be able to get back the pre-Emacs 24 behavior by customizing - no
ifs ands  or buts.  It is not enough that they might be able to do so when
`mouse-drag-copy-region' is non-nil or the moon is full.  They need to be able
to get this select+paste independently of whether mouse selection is copied to
the kill ring.